%define svnsnapshot 0
%define cupsbasename cups
%if %{svnsnapshot}
%define cupsnameext %nil
%define cupssvnrevision 5497
%define cupsversion 1.2
%define cupsminorversion .0
%define cupsextraversion svn-r%{cupssvnrevision}
%define cupsrelease %mkrel 0.%{cupssvnrevision}.1
%else
%define cupsnameext %nil
%define cupssvnrevision %nil
%define cupsversion 1.2.10
%define cupsminorversion %nil
%define cupsextraversion %nil
%define cupsrelease %mkrel 2
%endif
%define cupstarballname %{cupsbasename}-%{cupsversion}%{cupsextraversion}

%define major	2
%define libname	%mklibname %{cupsbasename} %{major}%{cupsnameext}

# Turning this on lets CUPS to be built in debug mode (with debugger
# symbols)
%define debug 0

# Links in the man page directories get deleted due to a bug in Mandriva's
# RPM helper script. So we copy the man pages for now
%define manpagelinks 0

##### GENERAL STUFF #####

Summary:	Common Unix Printing System - Server package
Name:		%{cupsbasename}%{cupsnameext}
Version:	%{cupsversion}%{cupsminorversion}
Release:	%{cupsrelease}
License:	GPL
Group:		System/Servers
%define real_version %{version}

##### SOURCE FILES #####

Source: ftp://ftp.easysw.com/pub/cups/%{cupsversion}/%{cupstarballname}-source.tar.bz2

# Small C program to get list of all installed PPD files
Source1: poll_ppd_base.c.bz2
# Small C program to list the printer-specific options of a particular printer
Source2: lphelp.c.bz2
# Complete replacement for startup script to have it the
# Mandriva Linux way
Source5: cups.startup
# Script for cleaning up the PPD files
Source6: cleanppd.pl.bz2
# Perl script for automatic configuration of CUPS, especially access
# restrictions and broadcasting
Source7: correctcupsconfig.bz2
# Backend filter for nprint (Novell client) from Mark Horn
# (mark@hornclan.com)
Source11: http://www.hornclan.com/~mark/cups/nprint.2002011801.bz2
# AppleTalk/netatalk backend for CUPS
Source12: http://www.oeh.uni-linz.ac.at/~rupi/pap/pap-backend.tar.bz2
Source13: http://www.oeh.uni-linz.ac.at/~rupi/pap/pap-docu.pdf.bz2
Source14: http://www.linuxprinting.org/download/printing/photo_print.bz2
Source15: http://printing.kde.org/downloads/pdfdistiller.bz2
Source16: cjktexttops.bz2
Source17: snmp.c.bz2
# Nice level for now. bug #16387
Source18: cups.sysconfig
Patch2: cups-1.1.20-nopassword.patch
Patch3: cups-1.1.23-64bit-fixes.patch
Patch9: cups-1.1.6-lp-lpr.patch
Patch10: cups-1.2.10-recommended.patch

##### ADDITIONAL DEFINITIONS #####

Url: http://www.cups.org
BuildRoot: %{_tmppath}/%{name}-buildroot
Requires: %{libname} >= %{version}-%{release} %{name}-common >= %{version}-%{release} openssl net-tools
Requires: printer-testpages xinetd
# Take care that device files are created with correct permissions
Requires: udev dynamic
# For desktop menus
Requires: xdg-utils
BuildRequires:	autoconf2.5
BuildRequires:	openssl-devel
BuildRequires:	libpam-devel
BuildRequires:	libopenslp-devel, libldap-devel
%if %mdkver >= 200700
BuildRequires:	libdbus-devel >= 0.50
%endif
BuildRequires:	glibc
BuildRequires:	htmldoc
BuildRequires:	libpaper-devel
#BuildRequires:  libdbus-1-devel
BuildRequires:	libgnutls-devel
BuildRequires:	php-devel >= 5.1.0 php-cli
BuildRequires:	libjpeg-devel, libpng-devel, libtiff-devel, libz-devel



##### SUB-PACKAGES #####

%description

CUPS 1.2 is fully compatible with CUPS-1.1 machines in the network and
with software built against CUPS-1.1 libraries.

The Common Unix Printing System provides a portable printing layer for 
UNIX(TM) operating systems. It has been developed by Easy Software Products 
to promote a standard printing solution for all UNIX vendors and users. 
CUPS provides the System V and Berkeley command-line interfaces.
This is the main package needed for CUPS servers (machines where a
printer is connected to or which host a queue for a network
printer). It can also be used on CUPS clients so that they simply pick
up broadcasted printer information from other CUPS servers and do not
need to be assigned to a specific CUPS server by an
/etc/cups/client.conf file.

%package common
Summary: Common Unix Printing System - Common stuff
License: GPL
Group: System/Servers
Requires: %{libname} >= %{version}-%{release} rpm >= 3.0.4-6mdk /usr/sbin/update-alternatives openssl net-tools
# To satisfy LSB/FHS
Provides: lpddaemon

%description common

CUPS 1.2 is fully compatible with CUPS-1.1 machines in the network and
with software built against CUPS-1.1 libraries.

The Common Unix Printing System provides a portable printing layer for
UNIX(TM) operating systems. It contains the command line utilities for
printing and administration (lpr, lpq, lprm, lpadmin, lpc, ...), man
pages, locales, and a sample configuration file for daemon-less CUPS
clients (/etc/cups/client.conf).

This package you need for both CUPS clients and servers. 

%package -n %{libname}
Summary: Common Unix Printing System - CUPS library
License: LGPL
Group: System/Servers
Requires: openssl net-tools
Obsoletes: libcups1
Provides: libcups1 = %{version}

%description -n %{libname}

CUPS 1.2 is fully compatible with CUPS-1.1 machines in the network and
with software built against CUPS-1.1 libraries.

The Common Unix Printing System provides a portable printing layer for
UNIX(TM) operating systems. This package contains the CUPS API library
which contains common functions used by both the CUPS daemon and all
CUPS frontends (lpr-cups, xpp, qtcups, kups, ...).

This package you need for both CUPS clients and servers. It is also
needed by Samba.

%package -n %{libname}-devel
Summary: Common Unix Printing System - Development environment "libcups"
License: LGPL
Group: Development/C
Requires: cups-common = %{version}-%{release}
Requires: %{libname} >= %{version}-%{release} openssl openssl-devel
Provides: libcups-devel = %{version}-%{release}
Provides: libcups2_1-devel = %{version}-%{release}
Obsoletes: cups-devel, libcups1-devel
Provides: cups-devel = %{version}, libcups1-devel = %{version}

%description -n %{libname}-devel

CUPS 1.2 is fully compatible with CUPS-1.1 machines in the network and
with software built against CUPS-1.1 libraries.

The Common Unix Printing System provides a portable printing layer for
UNIX(TM) operating systems. This is the development package for
creating additional printer drivers, printing software, and other CUPS
services using the main CUPS library "libcups".

%package serial
Summary: Common Unix Printing System - Backend for serial port printers
License: GPL
Group: System/Servers
Requires: %{name} >= %{version}-%{release}

%description serial

CUPS 1.2 is fully compatible with CUPS-1.1 machines in the network and
with software built against CUPS-1.1 libraries.

The Common Unix Printing System provides a portable printing layer for
UNIX(TM) operating systems. This package contains the backend filter
for printers on the serial ports. The auto-detection on the serial
ports takes several seconds (and so the startup time of the CUPS
daemon with this backend present) and therefore it is not recommended
to install this package when one has no serial port printer.

%package -n php-cups
Summary: PHP bindings for the libcups library
License: GPL
Group: Development/PHP
Obsoletes: php4-cups
Provides: php4-cups

%description -n php-cups

Provides bindings to the functions of libcups, to give direct access
to the CUPS printing environment from PHP programs.



##### PREP #####

%prep


%if %{svnsnapshot}
# SVN version
rm -rf $RPM_BUILD_DIR/%{cupstarballname}
%setup -q -n %{cupstarballname}
%else
# Released version
rm -rf $RPM_BUILD_DIR/%{cupsbasename}-%{version}
%setup -q -n %{cupsbasename}-%{real_version}
%endif

# Downdated pstops filter due to problems with multiple page documents
#bzcat %{SOURCE9} > $RPM_BUILD_DIR/%{cupsbasename}-%{real_version}/filter/pstops.c

# Do NEVER use cups.suse (this package is for Mandriva)
#cp -f data/cups.pam data/cups.suse

# Do changes that it is possible to use the CUPS WWW interface and
# KUPS also when root has no password (makes CUPS more convenient for
# home users without network
#patch2 -p0
# 64-bit fixes
#patch3 -p1
# Replace the job title "(stdin)" by "STDIM" when one prints out of 
# standard input with "lp" or "lpr". This caused problems when printing
# to a printer on a Windows server via Samba.
%patch9 -p0
# Patch away ugly "(Recommended)" tag removal
%patch10 -p1 -b .recommended

%if 0
# Fix libdir for 64-bit architectures
mv config-scripts/cups-directories.m4 config-scripts/cups-directories.m4.orig
cat << EOF > config-scripts/cups-directories.m4
libdir=%{_libdir}
EOF
cat config-scripts/cups-directories.m4.orig >> \
	config-scripts/cups-directories.m4
# Need to regenerate configure script
WANT_AUTOCONF_2_5=1 autoconf
%endif

#if 0
# Set CUPS users and groups
perl -p -i -e 's:(SystemGroup\s+.*)$:$1\nGroup sys\nUser lp:' conf/cupsd.conf.in

# Let local printers be broadcasted in the local network(s)
perl -p -i -e 's:(Listen\s+)localhost:$1*:' conf/cupsd.conf.in
perl -p -i -e 's:(Browsing\s+On):$1\nBrowseAddress \@LOCAL:' conf/cupsd.conf.in
perl -p -i -e 's:(<Location\s+/\s*>):$1\n  Allow \@LOCAL:' conf/cupsd.conf.in

# Allow remote administration in local network (connections are encrypted,
# so no security problem)
perl -p -i -e 's:(<Location\s+/admin(|/conf)\s*>):$1\n  Allow \@LOCAL:' conf/cupsd.conf.in

%if %mdkver >= 200700
# Replace the PAM configuration file
cat << EOF > scheduler/cups.pam
auth	include	system-auth
account	include	system-auth
EOF
cp -f scheduler/cups.pam conf/pam.std.in
%else
# Adapt PAM configuration to Mandriva Linux (former patch #6)
perl -p -i -e 's:(auth\s+required\s+?).*$:${1}pam_stack.so service=system-auth:' scheduler/cups.pam conf/pam.std.in
perl -p -i -e 's:(account\s+required\s+?).*$:${1}pam_stack.so service=system-auth:' scheduler/cups.pam conf/pam.std.in
%endif

# Let the Makefiles not trying to set file ownerships
perl -p -i -e "s/ -o \\$.CUPS_USER.//" scheduler/Makefile
perl -p -i -e "s/ -g \\$.CUPS_GROUP.//" scheduler/Makefile
perl -p -i -e "s/ -o \\$.CUPS_USER.//" systemv/Makefile
perl -p -i -e "s/ -g \\$.CUPS_GROUP.//" systemv/Makefile

# Accept readily filtered print jobs (e. g. from Windows clients)
perl -p -i -e 's:\#application/octet-stream:application/octet-stream:' conf/mime.*
#endif

# Correct hard-coded path for pam_appl.h
#perl -p -i -e 's:pam/pam_appl.h:security/pam_appl.h:' config-scripts/cups-pam.m4 */*.[ch]*

# Work around bug on Mandriva compilation cluster (32-bit machine has
# /usr/lib64 directory)
perl -p -i -e 's:(libdir=")\$exec_prefix/lib64("):$1%{_libdir}$2:' config-scripts/cups-directories.m4

# Let's look at the compilation command lines.
perl -p -i -e "s,^.SILENT:,," Makedefs.in

%if 0
# Recode all translations to UTF 8
for l in `ls -1 locale/*/cups_* | cut -d '/' -f 2`; do 
	enc=`head -1 locale/$l/cups_$l`
	iconv -f $enc -t utf-8 -o locale/$l/cups_$l.new locale/$l/cups_$l && \
		mv -f locale/$l/cups_$l.new locale/$l/cups_$l && \
		perl -p -i -e "s/$enc/utf-8/" locale/$l/cups_$l
done
for f in doc/fr/*.*html; do 
	iconv -f iso-8859-15 -t utf-8 -o $f.new $f && mv -f $f.new $f
done
for f in templates/fr/*.tmpl; do 
	iconv -f iso-8859-15 -t utf-8 -o $f.new $f && mv -f $f.new $f
done
%endif

# Load additional tools
bzcat %{SOURCE1} > poll_ppd_base.c
bzcat %{SOURCE2} > lphelp.c
# Load nprint backend
bzcat %{SOURCE11} > nprint
# Load AppleTalk "pap" backend
%setup -q -T -D -a 12 -n %{cupstarballname}
# Load the "pap" documentation
bzcat %{SOURCE13} > pap-docu.pdf
# Load the "photo_print" utility
bzcat %{SOURCE14} > photo_print
# Load the "pdfdistiller" utility
bzcat %{SOURCE15} > pdf
# Load the "cjktexttops" filter
bzcat %{SOURCE16} > cjktexttops
# Replace the "snmp" backend by a new version to fix
# http://www.cups.org/str.php?L1742
bzcat %{SOURCE17} > backend/snmp.c



##### BUILD #####

%build
%serverbuild
# For 'configure' the macro is not used, because otherwise one does not get the
# /etc and /var directories correctly hardcoded into the executables (they
# would get /usr/etc and /usr/var. In addition, the "--with-docdir" option
# has to be given because the default setting is broken. "aclocal" and 
# "autoconf" are needed if we have a Subversion snapshot or patched the
# files of the build system.
aclocal
WANT_AUTOCONF_2_5=1 autoconf
# Debug mode
%if %debug
export DONT_STRIP=1
export CFLAGS="-g"
export CXXFLAGS="-g"
./configure --enable-ssl --enable-libpaper --enable-static --enable-install_static --with-cups-user=lp --with-cups-group=sys --with-system-groups="lpadmin root" --enable-debug=yes --with-docdir=%{_datadir}/cups/doc
# Let Makefiles not execute the /usr/bin/strip command
export STRIP=":"
# Remove "-s" (stripping) option from "install" command used for binaries
# by "make install"
perl -p -i -e 's:^(\s*INSTALL_BIN\s*=.*)-s:$1:' Makedefs
%else
export CFLAGS="$RPM_OPT_FLAGS -fPIC"
export CXXFLAGS="$RPM_OPT_FLAGS -fPIC"
./configure --enable-ssl --enable-libpaper --enable-static --enable-install_static --with-cups-user=lp --with-cups-group=sys --with-system-groups="lpadmin root" --with-docdir=%{_datadir}/cups/doc
#configure2_5x --enable-ssl --with-docdir=%{_datadir}/cups/doc
export STRIP="/usr/bin/strip"
%endif
# Remove hardcoded "chgrp" from Makefiles
perl -p -i -e 's/chgrp/:/' Makefile */Makefile
%ifnarch %{ix86}
export REAL_CFLAGS="$CFLAGS -fPIC"
%else
export REAL_CFLAGS="$CFLAGS"
%endif
make CHOWN=":" STRIP="$STRIP" OPTIM="$REAL_CFLAGS" \
             REQUESTS=%{buildroot}%{_var}/spool/cups \
             LOGDIR=%{buildroot}%{_var}/log/cups \
             STATEDIR=%{buildroot}%{_var}/run/cups

%if 0
%make LOGDIR=%{buildroot}%{_var}/log/cups \
             REQUESTS=%{buildroot}%{_var}/spool/cups \
             SERVERROOT=%{buildroot}%{_sysconfdir}/cups \
             MANDIR=%{buildroot}%{_mandir} \
             PAMDIR=%{buildroot}%{_sysconfdir}/pam.d \
             BINDIR=%{buildroot}%{_bindir} \
             SBINDIR=%{buildroot}%{_sbindir} \
             INITDIR=%{buildroot}%{_sysconfdir}/rc.d \
             DOCDIR=%{buildroot}%{_datadir}/cups/doc \
             CHOWN=":" STRIP="$STRIP" OPTIM="$REAL_CFLAGS"
%endif

# Compile additional tools
gcc -opoll_ppd_base -I. -I./cups -L./cups -lcups poll_ppd_base.c
gcc -olphelp -I. -I./cups -L./cups -lcups lphelp.c

##### INSTALL #####

%install
rm -rf %{buildroot}
# Debug mode
%if %debug
export DONT_STRIP=1
%endif

make install BUILDROOT=%{buildroot} \
             DOCDIR=%{buildroot}%{_datadir}/cups/doc \
             CHOWN=":" CHGRP=":" STRIP="$STRIP" \
             LOGDIR=%{buildroot}%{_var}/log/cups \
             REQUESTS=%{buildroot}%{_var}/spool/cups \
             STATEDIR=%{buildroot}%{_var}/run/cups

%if 0
make install BUILDROOT=%{buildroot} \
	     LOGDIR=%{buildroot}%{_var}/log/cups \
             SERVERROOT=%{buildroot}%{_sysconfdir}/cups \
             AMANDIR=%{buildroot}%{_mandir} \
             PMANDIR=%{buildroot}%{_mandir} \
             MANDIR=%{buildroot}%{_mandir} \
             PAMDIR=%{buildroot}%{_sysconfdir}/pam.d \
             BINDIR=%{buildroot}%{_bindir} \
             SBINDIR=%{buildroot}%{_sbindir} \
             INITDIR=%{buildroot}%{_sysconfdir}/rc.d \
             DOCDIR=%{buildroot}%{_datadir}/cups/doc \
             CHOWN=":" CHGRP=":" STRIP="$STRIP"

#             DOCDIR=%{buildroot}%{_defaultdocdir}/cups \
%endif

# Make a directory for PPD generators
mkdir -p %{buildroot}%{_prefix}/lib/cups/driver

# Make a directory for the SSL files
mkdir -p %{buildroot}%{_sysconfdir}/cups/ssl

# Make a directory for authentication certificates
mkdir -p %{buildroot}/var/run/cups/certs

# Install additional tools
install -m 755 poll_ppd_base %{buildroot}%{_bindir}
install -m 755 lphelp %{buildroot}%{_bindir}

# Install nprint backend
install -m 755 nprint %{buildroot}%{_prefix}/lib/cups/backend/

# Install AppleTalk backend
install -m 755 pap-backend/pap %{buildroot}%{_prefix}/lib/cups/backend/
install -m 644 pap-docu.pdf %{buildroot}%{_datadir}/%{cupsbasename}/doc

# Install "photo_print"
install -m 755 photo_print %{buildroot}%{_bindir}

# Install "pdfdistiller"
install -m 755 pdf %{buildroot}%{_prefix}/lib/cups/backend/

# Install "cjktexttops"
install -m 755 cjktexttops %{buildroot}%{_prefix}/lib/cups/filter/

# Set link to test page in /usr/share/printer-testpages
#rm -f %{buildroot}%{_datadir}/cups/data/testprint.ps
ln -s %{_datadir}/printer-testpages/testprint.ps %{buildroot}%{_datadir}/cups/data/testprint-mdv.ps

# entry for xinetd (disabled by default)
install -d %{buildroot}%{_sysconfdir}/xinetd.d
cat <<EOF >%{buildroot}%{_sysconfdir}/xinetd.d/cups-lpd
# default: off
# description: The cups-lpd mini daemon enable cups accepting jobs from a \
#       remote LPD client (for example a machine with an older distribution \
#       than Linux Mandrake 7.2 or with a commercial Unix).
service printer
{
	socket_type	= stream
	protocol	= tcp
	wait		= no
	user		= lp
	group		= sys
	server		= %{_prefix}/lib/cups/daemon/cups-lpd
	server_args	= -o document-format=application/octet-stream
	passenv		=
	env		= TMPDIR=/var/spool/cups/tmp
	disable		= yes
}
EOF

# Install startup script
install -d %{buildroot}%{_initrddir}
install -m 755 %{SOURCE5} %{buildroot}%{_initrddir}/cups
install -d %{buildroot}%{_sysconfdir}/sysconfig
install -m 644 %{SOURCE18} %{buildroot}%{_sysconfdir}/sysconfig/cups
rm -f %{buildroot}%{_sysconfdir}/init.d/cups

# Install script for automatic CUPS configuration
bzcat %{SOURCE7} > %{buildroot}%{_sbindir}/correctcupsconfig
chmod a+rx %{buildroot}%{_sbindir}/correctcupsconfig

# Install PPDs
mkdir -p %{buildroot}%{_datadir}/cups/model
install -m 755 ppd/*.ppd %{buildroot}%{_datadir}/cups/model

# Uncompress Perl script for cleaning up manufacturer entries in PPD files
bzcat %{SOURCE6} > ./cleanppd.pl
chmod a+rx ./cleanppd.pl
# Do the clean-up
find %{buildroot}%{_datadir}/cups/model -name "*.ppd" -exec ./cleanppd.pl '{}' \;

# bzip2 all man pages already now, so that we can link man pages without
# RPM breaking it. Links need to be deleted and afterwards regenerated
rm -f %{buildroot}%{_mandir}/man8/cupsdisable.8.gz
rm -f %{buildroot}%{_mandir}/man8/reject.8.gz
bzme -F %{buildroot}%{_mandir}/man*/*.[0-9n].gz

# Set compatibility links for the man pages and executables
ln -s %{_sbindir}/cupsenable %{buildroot}%{_bindir}/enable
ln -s %{_sbindir}/cupsdisable %{buildroot}%{_bindir}/disable
ln -s %{_sbindir}/cupsenable %{buildroot}%{_sbindir}/enable
ln -s %{_sbindir}/cupsdisable %{buildroot}%{_sbindir}/disable
%if %manpagelinks
ln -s %{_mandir}/man8/cupsenable.8.bz2 %{buildroot}%{_mandir}/man8/cupsdisable.8.bz2
ln -s %{_mandir}/man8/cupsdisable.8.bz2 %{buildroot}%{_mandir}/man8/disable.8.bz2
ln -s %{_mandir}/man8/cupsenable.8.bz2 %{buildroot}%{_mandir}/man8/enable.8.bz2
ln -s %{_mandir}/man8/accept.8.bz2 %{buildroot}%{_mandir}/man8/reject.8.bz2
%else
cp %{buildroot}%{_mandir}/man8/cupsenable.8.bz2 %{buildroot}%{_mandir}/man8/cupsdisable.8.bz2
cp %{buildroot}%{_mandir}/man8/cupsdisable.8.bz2 %{buildroot}%{_mandir}/man8/disable.8.bz2
cp %{buildroot}%{_mandir}/man8/cupsenable.8.bz2 %{buildroot}%{_mandir}/man8/enable.8.bz2
cp %{buildroot}%{_mandir}/man8/accept.8.bz2 %{buildroot}%{_mandir}/man8/reject.8.bz2
%endif

%ifarch x86_64
# This one will be removed soon, when all other packages are
# modified appropriately
ln -s %{_prefix}/lib/cups %{buildroot}%{_libdir}/cups
%endif

# prepare the commands conflicting with LPD for the update-alternatives
# treatment
( cd %{buildroot}%{_bindir}
  mv lpr lpr-cups
  mv lpq lpq-cups
  mv lprm lprm-cups
  mv lp lp-cups
  mv cancel cancel-cups
  mv lpstat lpstat-cups
)
( cd %{buildroot}%{_sbindir}
  mv accept accept-cups
  mv disable disable-cups
  mv enable enable-cups
  mv lpc lpc-cups
  mv lpmove lpmove-cups
  mv reject reject-cups
)
( cd %{buildroot}%{_mandir}/man1
  mv lpr.1.bz2 lpr-cups.1.bz2
  mv lpq.1.bz2 lpq-cups.1.bz2
  mv lprm.1.bz2 lprm-cups.1.bz2
  mv lp.1.bz2 lp-cups.1.bz2
  mv cancel.1.bz2 cancel-cups.1.bz2
  mv lpstat.1.bz2 lpstat-cups.1.bz2
)
( cd %{buildroot}%{_mandir}/man8
  mv accept.8.bz2 accept-cups.8.bz2
  mv disable.8.bz2 disable-cups.8.bz2
  mv enable.8.bz2 enable-cups.8.bz2
  mv lpc.8.bz2 lpc-cups.8.bz2
  mv lpmove.8.bz2 lpmove-cups.8.bz2
  mv reject.8.bz2 reject-cups.8.bz2
)
ln -sf %{_sbindir}/accept-cups %{buildroot}%{_sbindir}/reject-cups
ln -sf %{_sbindir}/accept-cups %{buildroot}%{_sbindir}/cupsdisable
ln -sf %{_sbindir}/accept-cups %{buildroot}%{_sbindir}/cupsenable

# Remove links to the startup script, we make our own ones with chkconfig
rm -rf %{buildroot}/etc/rc?.d/[SK]*
# Remove superflouus man page stuff
rm -rf %{buildroot}%{_mandir}/cat
rm -rf %{buildroot}%{_mandir}/cat?
rm -rf %{buildroot}%{_mandir}/*/cat
rm -rf %{buildroot}%{_mandir}/*/cat?

# Install missing headers (Thanks to Oden Eriksson)
install -m644 cups/debug.h  %{buildroot}%{_includedir}/cups/
install -m644 cups/string.h %{buildroot}%{_includedir}/cups/
install -m644 config.h %{buildroot}%{_includedir}/cups/

# Multiarch fixes
%multiarch_includes %{buildroot}%{_includedir}/cups/config.h

# Create dummy config files /etc/cups/printers.conf,
# /etc/cups/classes.conf, and /etc/cups/client.conf
touch %buildroot%{_sysconfdir}/cups/printers.conf
touch %buildroot%{_sysconfdir}/cups/classes.conf
touch %buildroot%{_sysconfdir}/cups/client.conf

# Create .ini file for the PHP bindings
install -d %{buildroot}%{_sysconfdir}/php.d
cat > %{buildroot}%{_sysconfdir}/php.d/A20_cups.ini << EOF
extension = phpcups.so
EOF

# Prefer xdg-utils than htmlview (kde one)
sed -i s/htmlview/xdg-open/ %{buildroot}%{_datadir}/applications/*.desktop

#find_lang %{name}



##### PRE/POST INSTALL SCRIPTS #####

%pre
%ifarch x86_64
# Fix /usr/lib/cups directory, so that updates can be done
if [ -d %{_libdir}/cups ] && ! [ -h %{_libdir}/cups ]; then
    if [ -h %{_prefix}/lib/cups ]; then
        rm -f %{_prefix}/lib/cups
	mv %{_libdir}/cups %{_prefix}/lib/cups
    else
	mv %{_libdir}/cups %{_libdir}/cups.rpmsave
	echo 'Moved %{_libdir}/cups to %{_libdir}/cups.rpmsave' 1>&2
    fi
fi
%endif
%_pre_groupadd lpadmin

%post
# Make sure group ownerships are correct
chgrp -R sys /etc/cups /var/*/cups
# Let CUPS daemon be automatically started at boot time
%_post_service cups

%post common
# Set permissions/ownerships for lppasswd
chown root.sys %{_bindir}/lppasswd
chmod 6755 %{_bindir}/lppasswd
# The lpc updates-alternative links were not correctly set in older CUPS
# packages, therefore remove the entry before making a new one when updating
%{_sbindir}/update-alternatives --remove lpc %{_sbindir}/lpc-cups || :
# Set up update-alternatives entries
%{_sbindir}/update-alternatives --install %{_bindir}/lpr lpr %{_bindir}/lpr-cups 10 --slave %{_mandir}/man1/lpr.1.bz2 lpr.1.bz2 %{_mandir}/man1/lpr-cups.1.bz2
%{_sbindir}/update-alternatives --install %{_bindir}/lpq lpq %{_bindir}/lpq-cups 10 --slave %{_mandir}/man1/lpq.1.bz2 lpq.1.bz2 %{_mandir}/man1/lpq-cups.1.bz2
%{_sbindir}/update-alternatives --install %{_bindir}/lprm lprm %{_bindir}/lprm-cups 10 --slave %{_mandir}/man1/lprm.1.bz2 lprm.1.bz2 %{_mandir}/man1/lprm-cups.1.bz2
%{_sbindir}/update-alternatives --install %{_bindir}/lp lp %{_bindir}/lp-cups 10 --slave %{_mandir}/man1/lp.1.bz2 lp.1.bz2 %{_mandir}/man1/lp-cups.1.bz2
%{_sbindir}/update-alternatives --install %{_bindir}/cancel cancel %{_bindir}/cancel-cups 10 --slave %{_mandir}/man1/cancel.1.bz2 cancel.1.bz2 %{_mandir}/man1/cancel-cups.1.bz2
%{_sbindir}/update-alternatives --install %{_bindir}/lpstat lpstat %{_bindir}/lpstat-cups 10 --slave %{_mandir}/man1/lpstat.1.bz2 lpstat.1.bz2 %{_mandir}/man1/lpstat-cups.1.bz2
%{_sbindir}/update-alternatives --install %{_sbindir}/accept accept %{_sbindir}/accept-cups 10 --slave %{_mandir}/man8/accept.8.bz2 accept.8.bz2 %{_mandir}/man8/accept-cups.8.bz2
%{_sbindir}/update-alternatives --install %{_sbindir}/disable disable %{_sbindir}/disable-cups 10 --slave %{_mandir}/man8/disable.8.bz2 disable.8.bz2 %{_mandir}/man8/disable-cups.8.bz2
%{_sbindir}/update-alternatives --install %{_sbindir}/enable enable %{_sbindir}/enable-cups 10 --slave %{_mandir}/man8/enable.8.bz2 enable.8.bz2 %{_mandir}/man8/enable-cups.8.bz2
%{_sbindir}/update-alternatives --install %{_sbindir}/lpc lpc %{_sbindir}/lpc-cups 10 --slave %{_mandir}/man8/lpc.8.bz2 lpc.8.bz2 %{_mandir}/man8/lpc-cups.8.bz2
%{_sbindir}/update-alternatives --install %{_sbindir}/lpmove lpmove %{_sbindir}/lpmove-cups 10 --slave %{_mandir}/man8/lpmove.8.bz2 lpmove.8.bz2 %{_mandir}/man8/lpmove-cups.8.bz2
%{_sbindir}/update-alternatives --install %{_sbindir}/reject reject %{_sbindir}/reject-cups 10 --slave %{_mandir}/man8/reject.8.bz2 reject.8.bz2 %{_mandir}/man8/reject-cups.8.bz2

%post -n %{libname} -p /sbin/ldconfig

%preun
# Let CUPS daemon not be automatically started at boot time any more
%_preun_service cups

%preun common
if [ "$1" = 0 ]; then
  # Remove update-alternatives entries
  %{_sbindir}/update-alternatives --remove lpr %{_bindir}/lpr-cups
  %{_sbindir}/update-alternatives --remove lpq %{_bindir}/lpq-cups
  %{_sbindir}/update-alternatives --remove lprm %{_bindir}/lprm-cups
  %{_sbindir}/update-alternatives --remove lp %{_bindir}/lp-cups
  %{_sbindir}/update-alternatives --remove cancel %{_bindir}/cancel-cups
  %{_sbindir}/update-alternatives --remove lpstat %{_bindir}/lpstat-cups
  %{_sbindir}/update-alternatives --remove accept %{_sbindir}/accept-cups
  %{_sbindir}/update-alternatives --remove disable %{_sbindir}/disable-cups
  %{_sbindir}/update-alternatives --remove enable %{_sbindir}/enable-cups
  %{_sbindir}/update-alternatives --remove lpc %{_sbindir}/lpc-cups
  %{_sbindir}/update-alternatives --remove lpmove %{_sbindir}/lpmove-cups
  %{_sbindir}/update-alternatives --remove reject %{_sbindir}/reject-cups
fi

%preun -n %{libname} -p /sbin/ldconfig

%postun
%_postun_groupdel lpadmin

%postun -n %{libname} -p /sbin/ldconfig



%clean
##### CLEAN UP #####
rm -rf %{buildroot}



##### FILE LISTS FOR ALL BINARY PACKAGES #####

#####cups
%files
%defattr(-,root,root)
%doc *.txt
%attr(511,lp,sys) /var/run/cups/certs
%config(noreplace) %attr(-,root,sys) %{_sysconfdir}/cups/cupsd.conf
%config(noreplace) %attr(-,root,root) %{_sysconfdir}/sysconfig/cups
%ghost %config(noreplace) %{_sysconfdir}/cups/printers.conf
%ghost %config(noreplace) %{_sysconfdir}/cups/classes.conf
%attr(-,root,sys) %{_sysconfdir}/cups/cupsd.conf.default
%config(noreplace) %attr(-,root,sys) %{_sysconfdir}/cups/interfaces
%config(noreplace) %attr(644,root,sys) %{_sysconfdir}/cups/mime.convs
%config(noreplace) %attr(644,root,sys) %{_sysconfdir}/cups/mime.types
%config(noreplace) %attr(-,root,sys) %{_sysconfdir}/cups/ppd
%config(noreplace) %attr(-,root,sys) %{_sysconfdir}/cups/ssl
%if %mdkver >= 200700
%config(noreplace) %attr(-,root,sys) %{_sysconfdir}/dbus*/system.d/cups.conf
%endif
%{_initrddir}/cups
%config(noreplace) %{_sysconfdir}/pam.d/cups
%attr(644,root,root) %config(noreplace) %{_sysconfdir}/xinetd.d/cups-lpd
%dir %{_prefix}/lib/cups
%{_prefix}/lib/cups/cgi-bin
%{_prefix}/lib/cups/daemon
%{_prefix}/lib/cups/notifier
%{_prefix}/lib/cups/filter
%{_prefix}/lib/cups/monitor
%dir %{_prefix}/lib/cups/backend
%{_prefix}/lib/cups/backend/http
%{_prefix}/lib/cups/backend/ipp
%{_prefix}/lib/cups/backend/lpd
%{_prefix}/lib/cups/backend/nprint
%{_prefix}/lib/cups/backend/pap
%{_prefix}/lib/cups/backend/parallel
%{_prefix}/lib/cups/backend/scsi
%{_prefix}/lib/cups/backend/snmp
%{_prefix}/lib/cups/backend/socket
%{_prefix}/lib/cups/backend/usb
%{_prefix}/lib/cups/backend/pdf
%dir %{_prefix}/lib/cups/driver
%{_datadir}/cups
%{_var}/log/cups
# Set ownerships of spool directory which is normally done by 'make install'
# Because RPM does 'make install' as normal user, this has to be done here
%dir %attr(0710,lp,sys) %{_var}/spool/cups
%dir %attr(01770,lp,sys) %{_var}/spool/cups/tmp
%dir %attr(775,lp,sys) %{_var}/cache/cups
# Desktop icons
%{_datadir}/applications/*
%{_datadir}/icons/*/*/*/*.png
%ifarch x86_64
# Compatibility link, will be removed soon
%{_libdir}/cups
%endif

#####cups-common
%files common
#-f %{name}.lang
%defattr(-,root,root)
%dir %config(noreplace) %attr(-,lp,sys) %{_sysconfdir}/cups
%ghost %config(noreplace) %attr(-,lp,sys) %{_sysconfdir}/cups/client.conf
%{_sbindir}/*
%{_bindir}/*cups
%{_bindir}/lphelp
%{_bindir}/lpoptions
%{_bindir}/lppasswd
%{_bindir}/photo_print
%{_bindir}/poll_ppd_base
%{_bindir}/cupstestppd
%{_bindir}/cupstestdsc
%{_bindir}/enable
%{_bindir}/disable
%{_bindir}/cups-config
%{_datadir}/locale/*/*
%{_mandir}/man?/*

#####%{libname}
%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/libcups.so.*
%{_libdir}/libcupsimage.so.*

#####%{libname}-devel
%files -n %{libname}-devel
%defattr(-,root,root)
%{_includedir}/cups/*
%multiarch %{multiarch_includedir}/cups/*
%{_libdir}/*.a
%{_libdir}/*.so

%files serial
%defattr(-,root,root)
%{_prefix}/lib/cups/backend/serial

%files -n php-cups
%defattr(-,root,root)
%doc scripting/php/README
%attr(0755,root,root) %{_libdir}/php/extensions/*
%config(noreplace) %{_sysconfdir}/php.d/*


%changelog
* Mon Apr 02 2007 Marcelo Ricardo Leitner <mrl@mandriva.com> 1.2.10-2mdv2007.1
+ Revision: 150418
- Added patch recommended: patch away the removal of the Recommended tag.

* Wed Mar 21 2007 Marcelo Ricardo Leitner <mrl@mandriva.com> 1.2.10-1mdv2007.1
+ Revision: 147258
- New bugfixes upstream: 1.2.10

* Sat Mar 17 2007 Marcelo Ricardo Leitner <mrl@mandriva.com> 1.2.9-1mdv2007.1
+ Revision: 145647
- New upstream 1.2.9 which contains security fixes.

* Mon Mar 12 2007 Marcelo Ricardo Leitner <mrl@mandriva.com> 1.2.7-2mdv2007.1
+ Revision: 141961
- Release bump.
- Prefer xdg-open (xdg-utils) than html-view (kde only) for desktop menus.
  Closes: #29202
- Added /etc/sysconfig/cups to files section.
- Nice cups daemon. Closes: #16387
- Bunzip startup script.

* Fri Nov 24 2006 Marcelo Ricardo Leitner <mrl@mandriva.com> 1.2.7-1mdv2007.1
+ Revision: 86921
- New upstream: 1.2.7
- Removed all unused and commented patches.
- Removed patch 'r5958-bugfixes': already applied.
- Import cups



* Wed Sep 13 2006 Till Kamppeter <till@mandriva.com> 1.2.3-5mdv2007.0
- Overtaken upstream bug fix patch from Debian (Patch 38: "All
  Documents" link in on-line help was missing a trailing slash, job
  history with Polish web interface, "Reprint job" button did not
  work, daemon did not always report printer or job events properly,
  daemon did not respect backend error codes, problems with UTF-8 in
  job names and on the command line, custom page size problem).
- Removed patch 36 and 37 (part of patch 38 now).

* Wed Sep 13 2006 Till Kamppeter <till@mandriva.com> 1.2.3-4mdv2007.0
- Added missing BuildRequires for image and directory service support.

* Wed Sep 13 2006 Till Kamppeter <till@mandriva.com> 1.2.3-3mdv2007.0
- It sometimes happens that lpstat lets the CUPS daemon fall into an 
  infinite loop. Patch 36 and 37, proposed by Mike Sweet on
  http://www.cups.org/str.php?L1968 should fix the problem (should fix bug
  25186).
- If there is a directory named /usr/lib64/cups, rename it to
  /usr/lib/cups and let /usr/lib64/cups be a symlink (bug 25517).

* Tue Sep  5 2006 Till Kamppeter <till@mandriva.com> 1.2.3-2mdv2007.0
- Added "Requires: cups-common" to the libcups-devel subpackage to
  assure that cups-config is present.

* Wed Aug 30 2006 Till Kamppeter <till@mandriva.com> 1.2.3-1mdv2007.0
- Updated to CUPS 1.2.3 (Tons of bug fixes, see
  http://www.cups.org/articles.php?L407).
- Simplified conditional build for MDV 2006/Corporate 4 and MDV 2007
  (Thanks to Olivier Thauvin).

* Tue Aug  8 2006 Till Kamppeter <till@mandriva.com> 1.2.2-4mdv2007.0
- Updated PAM configuration file (bug 24199).

* Fri Aug  4 2006 Till Kamppeter <till@mandriva.com> 1.2.2-3mdv2007.0
- Several fixes on the "snmp" network printer autodiscovery backend.

* Wed Aug 02 2006 Frederic Crozat <fcrozat@mandriva.com> 1.2.2-2mdv2007.0
- Rebuild with latest dbus

* Wed Jul 19 2006 Till Kamppeter <till@mandriva.com> 1.2.2-1mdv2007.0
- Updated to CUPS 1.2.2 (Tons of bug fixes, see
  http://www.cups.org/articles.php?L397).

* Tue Jul  4 2006 Till Kamppeter <till@mandriva.com> 1.2.1-4mdv2007.0
- Uncompressed patches.

* Tue Jul  4 2006 Till Kamppeter <till@mandriva.com> 1.2.1-3mdv2007.0
- Removed absolute paths from /etc/pam.d/cups (bug 22960).

* Wed Jun 21 2006 Laurent MONTEL <lmontel@mandriva.com> 1.2.1-2
- Rebuild


* Mon May 22 2006 Till Kamppeter <till@mandriva.com> 1.2.1-1mdk
- Updated to CUPS 1.2.1 (The most important "dot-zero" version
  bugs are fixed now).
- Removed patch 35 (merged upstream).
- Do not build in debug mode any more,
 
* Thu May 18 2006 Till Kamppeter <till@mandriva.com> 1.2.0-4mdk
- Delete broken update-alternatives links when updating to this
  version of CUPS (containing the correct links).

* Wed May 17 2006 Till Kamppeter <till@mandriva.com> 1.2.0-3mdk
- Expanded use of update-alternatives to not conflict with
  papi-commands package.
- Fixed update-alternatives mechanism for the man pages.
- Set some links to find man pages more easily.

* Tue May 16 2006 Till Kamppeter <till@mandriva.com> 1.2.0-2mdk
- Fixes raw data files not being accepted when
  "application/octet-stream ..." rules in /etc/cups/mime.* files are active
  (bug 21814, STR 1667).

* Wed May 10 2006 Till Kamppeter <till@mandriva.com> 1.2.0-1mdk
- Updated to CUPS 1.2.0 official release.
- Fixed alternatives setup for the man pages.

* Sun May  7 2006 Till Kamppeter <till@mandriva.com> 1.2.0-0.5497.1mdk
- Updated to CUPS 1.2 development snapshot SVN rev 5497.

* Thu Apr 27 2006 Till Kamppeter <till@mandriva.com> 1.2.0-0.5470.1mdk
- Updated to CUPS 1.2 development snapshot SVN rev 5470 (Fix in web
  interface: Once you are in SSL mode, you stay there when navigating
  through the web interface).
- Allow remote administration via web interface from the local network
  by default (admin connections are always SSL-encryoted, so no security
  problem).

* Wed Apr 26 2006 Till Kamppeter <till@mandriva.com> 1.2.0-0.5464.1mdk
- Updated to CUPS 1.2 development snapshot SVN rev 5464 (Shortly after
  CUPS 1.2rc3 release).

* Mon Apr 24 2006 Till Kamppeter <till@mandriva.com> 1.2.0-0.5454.1mdk
- Updated to CUPS 1.2 development snapshot SVN rev 5454 (Added "Encryption
  Required" to "/admin" location in /etc/cups/cupsd.conf, so that all
  administration transactions are done via SSL and input into the web
  interface cannot get lost when the web interface switches from http
  to https in the end of the add printer wizard).
- Added IEEE-1284 device ID support to "poll_ppd_base".

* Sun Apr 23 2006 Till Kamppeter <till@mandriva.com> 1.2.0-0.5453.1mdk
- Updated to CUPS 1.2 development snapshot SVN rev 5441 (SNMP
  auto-discovery not hanging any more on IPP device which requests a
  password, many other bug fixes, Polish translation).

* Thu Apr 20 2006 Till Kamppeter <till@mandriva.com> 1.2.0-0.5441.1mdk
- Updated to CUPS 1.2 development snapshot SVN rev 5441 (Fixes on SNMP
  auto-discovery).
- Moved cups-config from the libcups2-devel to the cups-common package,
  for easy checking of currently installed CUPS version.

* Wed Apr 19 2006 Till Kamppeter <till@mandriva.com> 1.2.0-0.5431.1mdk
- Updated to CUPS 1.2 development snapshot SVN rev 5431 (SNMP auto-discovery
  for network printers, as suggested on the OSDL Printing Summit in Atlanta).

* Mon Apr 12 2006 Till Kamppeter <till@mandriva.com> 1.2.0-0.5390.1mdk
- Updated to CUPS 1.2 development snapshot SVN rev 5390.
- Added "BuildRequires: libgnutls-devel", GNU TLS is needed for automatic
  certificate generation for SSL-encrypted access.
- Added /usr/lib/cups/driver directory for PPD file generators.

* Mon Apr 10 2006 Till Kamppeter <till@mandriva.com> 1.2.0-0.5389.1mdk
- Updated to CUPS 1.2 development snapshot SVN rev 5389.

* Mon Apr 10 2006 Till Kamppeter <till@mandriva.com> 1.2.0-0.5388.1mdk
- Updated to CUPS 1.2 development snapshot SVN rev 5388 (Somewhat after
  the 1.2rc2 release).

* Mon Apr  3 2006 Till Kamppeter <till@mandriva.com> 1.2.0-0.5368.1mdk
- Updated to CUPS 1.2 development snapshot SVN rev 5368.
- When building for the Mandriva Linux Corporate 4 products, do not
  require DBUS for building, as CUPS 1.2 uses a new DBUS generation
  which is not available in the Mandriva-2006-based Corporate products.

* Fri Mar 31 2006 Till Kamppeter <till@mandriva.com> 1.2.0-0.5361.1mdk
- Updated to CUPS 1.2 development snapshot SVN rev 5361.

* Thu Mar 30 2006 Till Kamppeter <till@mandriva.com> 1.2.0-0.5357.3mdk
- Fixed 64-bit issue with /usr/lib/cups correctly. It must stay
  /usr/lib/cups to be compatible with third-party filter/backend
  installations (See http://www.cups.org/str.php?L1524).
- Added compatibility link from /usr/lib/cups to /usr/lib64/cups on x86_64
  systems (will be removed when all other Mandriva packages with CUPS
  backends/filters are updated).
- Worked around bug on Mandriva compilation cluster (32-bit machine has
  /usr/lib64 directory).

* Thu Mar 30 2006 Till Kamppeter <till@mandriva.com> 1.2.0-0.5357.2mdk
- Corrected hard-coded /usr/lib/cups.

* Thu Mar 30 2006 Till Kamppeter <till@mandriva.com> 1.2.0-0.5357.1mdk
- Updated to CUPS 1.2 development snapshot SVN rev 5357.
- Added "Requires: udev dynamic" to assure that device files (like
  /dev/usb/lp0) are created and their ownerships/permissions are set 
  correctly (bug 21461).

* Tue Mar 28 2006 Till Kamppeter <till@mandriva.com> 1.2.0-0.5344.1mdk
- Updated to CUPS 1.2 development snapshot SVN rev 5344 (Somewhat after
  the 1.2rc1 release).

* Sun Mar 19 2006 Till Kamppeter <till@mandriva.com> 1.2.0-0.5312.1mdk
- Updated to CUPS 1.2 development snapshot SVN rev 5312 (Somewhat after
  the 1.2b2 release).

* Thu Mar  9 2006 Till Kamppeter <till@mandriva.com> 1.2.0-0.5257.1mdk
- Updated to CUPS 1.2 development snapshot SVN rev 5257 (SHOWSTOPPPER
  FIX! The original CUPS 1.2beta1 did not print at all!).
 
* Thu Mar  9 2006 Till Kamppeter <till@mandriva.com> 1.2.0-0.5256.1mdk
- Updated to CUPS 1.2 development snapshot SVN rev 5256 (This is the 
  CUPS 1.2beta1 release).

* Tue Mar  7 2006 Till Kamppeter <till@mandriva.com> 1.2.0-0.5239.1mdk
- Updated to CUPS 1.2 development snapshot SVN rev 5239.
- Made the no non-existing /etc/cups/client.conf a %%ghost.

* Tue Feb 28 2006 Till Kamppeter <till@mandriva.com> 1.2.0-0.5205.1mdk
- Updated to CUPS 1.2 development snapshot SVN rev 5205 (Fixed margins
  for N-up printing).

* Tue Feb 28 2006 Till Kamppeter <till@mandriva.com> 1.2.0-0.5201.2mdk
- Added "BuildRequires: php-cli" so that "./configure" recognizes the
  presence of PHP.

* Tue Feb 28 2006 Till Kamppeter <till@mandriva.com> 1.2.0-0.5201.1mdk
- Updated to CUPS 1.2 development snapshot SVN rev 5201.
- Added non-existing files /etc/cups/printers.conf and
  /etc/cups/classes.conf as %%ghost and %%config(noreplace) so that the
  old files of CUPS 1.1 do not get renamed when updating to CUPS 1.2.

* Mon Feb 27 2006 Till Kamppeter <till@mandriva.com> 1.2.0-0.5186.2mdk
- Obsoleted out old "php4-cups" package from contrib.
- Named file in /etc/php.d/ as in the old "php4-cups" package.

* Sun Feb 26 2006 Till Kamppeter <till@mandriva.com> 1.2.0-0.5186.1mdk
- Updated to CUPS 1.2 development snapshot SVN rev 5186.

* Sun Feb 26 2006 Till Kamppeter <till@mandriva.com> 1.2.0-0.5183.1mdk
- Updated to CUPS 1.2 development snapshot SVN rev 5183.
- Added new sub package "php-cups" with PHP bindings for the CUPS library.

* Fri Feb 24 2006 Till Kamppeter <till@mandriva.com> 1.2.0-0.5168.1mdk
- Updated to CUPS 1.2 development snapshot SVN rev 5168 (Do not accept
  invalid directories for temporary files).

* Fri Feb 24 2006 Till Kamppeter <till@mandriva.com> 1.2.0-0.5165.1mdk
- Updated to CUPS 1.2 development snapshot SVN rev 5165 (This is probably
  really the fix for bug 21094).

* Fri Feb 24 2006 Till Kamppeter <till@mandriva.com> 1.2.0-0.5162.2mdk
- Added backward compatibility links for "enable" and "disable" commands.

* Fri Feb 24 2006 Till Kamppeter <till@mandriva.com> 1.2.0-0.5162.1mdk
- Updated to CUPS 1.2 development snapshot SVN rev 5162.

* Thu Feb 23 2006 Till Kamppeter <till@mandriva.com> 1.2.0-0.5130.2mdk
- Added "--with-system-groups=lpadmin root" to the "./configure" command 
  line and added/removed the "lpadmin" in the pre-install/post-uninstall
  scripts. This way the group "sys" can stay the standard CUPS group. This
  is the way as it is also done in Debian GNU/Linux (see CUPS STR 1434).

* Fri Feb 17 2006 Till Kamppeter <till@mandriva.com> 1.2.0-0.5130.1mdk
- Updated to CUPS 1.2 development snapshot SVN rev 5130.

* Thu Feb 16 2006 Till Kamppeter <till@mandriva.com> 1.2.0-0.5120.1mdk
- Updated to CUPS 1.2 development snapshot SVN rev 5120.
- Removed hardcoded "chgrp" from Makefiles, set group ownerships in
  %%files section.
- Set permissions of /etc/cups/mime.convs and /etc/cups/mime.types to
  644 (world-readable) so that HP's hp-sendfax utility works for normal
  users.
- Added "unset TMPDIR" to the start-up script of CUPS (cups.startup).

* Mon Feb  6 2006 Till Kamppeter <till@mandriva.com> 1.2.0-0.5083.1mdk
- Updated to CUPS 1.2 development snapshot SVN rev 5083. 

* Wed Feb  1 2006 Till Kamppeter <till@mandriva.com> 1.2.0-0.5046.1mdk
- Updated to CUPS 1.2 development snapshot SVN rev 5046 (Add system 
  management interface for power management/sleep, network changes, hostname
  changes, etc. to cupsd, updated man pages, added whitespace and line 
  ending checks to cupstestppd, fixed many file permission issues. tons 
  of bug fixes and polishing).

* Mon Jan 23 2006 Till Kamppeter <till@mandriva.com> 1.2.0-0.4964.1mdk
- Updated to CUPS 1.2 development snapshot SVN rev 4964 (mailto: notifier
  added).
- Removed patch 34 (merged upstream).

* Thu Jan 19 2006 Till Kamppeter <till@mandriva.com> 1.2.0-0.4951.1mdk
- Updated to CUPS 1.2 development snapshot SVN rev 4951 (Bug 20504:
  Fixed last missing problem, bad7.pdf from Chris Evans, updated all 
  command-line programs to support "-h" and "-U", small fixes).

* Wed Jan 18 2006 Till Kamppeter <till@mandriva.com> 1.2.0-0.4945.1mdk
- Updated to CUPS 1.2 development snapshot SVN rev 4945 (Bug 20504:
  Security update for CVE-2005-3191,3192,3193, overflows in goo/gmem.c,
  additional overflow issues discovered by Chris Evans, CVE-2005-3624,
  3625,3626,3627, fixed also print queue set up of auto-detected printers
  with the web interface).

* Wed Jan 18 2006 Till Kamppeter <till@mandriva.com> 1.2.0-0.4929.2mdk
- Added libpaper support.

* Sat Jan 14 2006 Till Kamppeter <till@mandriva.com> 1.2.0-0.4929.1mdk
- Updated to CUPS 1.2 development snapshot SVN rev 4929.
- Removed correction of path for pam_appl.h (fixed upstream).
- Rediffed patch 34.
- Re-introduced %%{_datadir}/locale in %%files section.

* Mon Jan  9 2006 Till Kamppeter <till@mandriva.com> 1.2.0-0.4892.1mdk
- Updated to CUPS 1.2 development snapshot SVN rev 4892.
- Added htmldoc to "BuildRequires:".
- Corrected path for pam_appl.h.
- Removed %%{_datadir}/locale from %%files section.
- Reverted the use of the %%configure2_5x macro back to the direct
  ./configure call, as the use of the macro broke CUPS totally (bug 20511).
- Added STATEDIR definition to "make" and "make install" calls
  (/var/run/cups/).

* Mon Jan  9 2006 Olivier Blin <oblin@mandriva.com> 1.2.0-0.4876.5mdk
- convert parallel init to LSB

* Wed Jan 04 2006 Thierry Vignaud <tvignaud@mandriva.com> 1.2.0-0.4876.3mdk
- fix build on x86_64
- patch 34: fix build on x86_64 (-fpie overided -fPIC)

* Sat Dec 31 2005 Couriousous <couriousous@mandriva.org> 1.2.0-0.4876.2mdk
- Add parallel init stuff

* Fri Dec 16 2005 Till Kamppeter <till@mandriva.com> 1.2.0-0.4876.1mdk
- Updated to CUPS 1.2 development snapshot SVN rev 4876.

* Wed Dec  7 2005 Till Kamppeter <till@mandriva.com> 1.2.0-0.4865.1mdk
- Updated to CUPS 1.2 development snapshot SVN rev 4865.

* Thu Nov 24 2005 Till Kamppeter <till@mandriva.com> 1.2.0-0.4843.1mdk
- Updated to CUPS 1.2 development snapshot SVN rev 4843.
- Temporarily deactivated patches 2, 3, 22, 27, 33.

* Sun Nov 13 2005 Oden Eriksson <oeriksson@mandriva.com> 1.1.23-19mdk
- rebuilt against openssl-0.9.8a

* Fri Oct 28 2005 Till Kamppeter <till@mandriva.com> 1.1.23-18mdk
- Introduced a timeout when waiting for CUPS daemon listening (bug
  19255).
- Replaced dbus patch by newer one from Red Hat (current one did not build
  any more).

* Thu Aug 18 2005 Till Kamppeter <till@mandriva.com> 1.1.23-17mdk
- Removed facility to automatically set up print queues when starting CUPS.
  This can cause problems during installation.

* Wed Aug 17 2005 Gwenole Beauchesne <gbeauchesne@mandriva.com> 1.1.23-16mdk
- 64-bit fixes

* Wed Aug 17 2005 Till Kamppeter <till@mandriva.com> 1.1.23-15mdk
- Moved comment away from "%postun".

* Tue Aug 16 2005 Till Kamppeter <till@mandriva.com> 1.1.23-14mdk
- Turned off automatic re-enabling of print queues on CUPS start-up
  because we have the new CUPS backend wrapper no which prevents queues
  from being disabled automatically.

* Sat Aug 13 2005 Till Kamppeter <till@mandriva.com> 1.1.23-13mdk
- SECURITY FIX: Fixes CAN-2005-2097: Vulnerability on PDF processing 
  (patch 35).
- Added "Requires: xinetd" to "cups" packages. It is needed for the
  "cups-lpd" mini daemon.

* Wed Jul 27 2005 Till Kamppeter <till@mandriva.com> 1.1.23-12mdk
- Added automatic re-enabling of print queues and automatic
  print queue setup (both configurable) to /etc/init.d/cups.

* Mon Apr 11 2005 Till Kamppeter <till@mandrakesoft.com> 1.1.23-11mdk
- Fixed bug 15376: "!(" -> "! (" in /etc/init.d/cups.

* Tue Mar 22 2005 Till Kamppeter <till@mandrakesoft.com> 1.1.23-10mdk
- Updated Pierre Jarillon's I18n patch, especially there are "Set as
  default" buttons in all languages now.

* Fri Mar 18 2005 Till Kamppeter <till@mandrakesoft.com> 1.1.23-9mdk
- Revert change of lock file name to have /var/lock/subsys/cups again.
  Handling services with different service name and daemon name is a
  general problem (also with Samba and MySQL) which has to be addressed
  later. Renaming the service to "cupsd" would break other stuff
  (printerdrake, KDE Printing Manager, ...). The bugs 11715, 14727, and 
  14545 cannot be fixed all at once.

* Wed Mar 16 2005 Till Kamppeter <till@mandrakesoft.com> 1.1.23-8mdk
- Fixed I18n of the CUPS web interface and online help (bug 10598, thanks
  to Pierre Jarillon, jarillon at abul dot org, for the big patch).
- Let online help go into /usr/share/cups/doc and not into /usr/share/doc,
  so that it gets also installed in a minimum installation without
  documentation, otherwise the web interface would be broken in this case
  (Thanks to Raul Dias, raul at dias dot com dot br, for reporting this).

* Wed Mar  2 2005 Till Kamppeter <till@mandrakesoft.com> 1.1.23-7mdk
- Recode all translations to UTF-8 so that the web interface of CUPS is
  shown correctly, especially with Mozilla.

* Tue Mar  1 2005 Till Kamppeter <till@mandrakesoft.com> 1.1.23-6mdk
- Removed menu entry for CUPS web interface.

* Fri Feb 18 2005 Till Kamppeter <till@mandrakesoft.com> 1.1.23-5mdk
- Use /var/lock/subsys/cupsd instead of /var/lock/subsys/cups
  in startup script, to fix bug 11715.
- SECURITY FIX: Fixes CAN-2005-0064/MDKSA-2005:041/Bug 13751: See
  http://www.mandrakesoft.com/security/advisories?name=MDKSA-2005:041

* Fri Feb 11 2005 Till Kamppeter <till@mandrakesoft.com> 1.1.23-4mdk
- SECURITY FIX: Fixes CAN-2005-0064/MDKSA-2005:018/Bug 13580: See
  http://www.mandrakesoft.com/security/advisories?name=MDKSA-2005:018

* Fri Feb 11 2005 Till Kamppeter <till@mandrakesoft.com> 1.1.23-3mdk
- Updated CUPS startup script to also check HPLIP.

* Wed Feb  9 2005 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.1.23-2mdk
- multiarch

* Tue Jan  4 2005 Till Kamppeter <till@mandrakesoft.com> 1.1.23-1mdk
- Updated to CUPS 1.1.23 final (Tons of bug fixes: "Media tray empty" on
  USB backend, possible DoS in CUPS daemon, buffer overflow on "hpgltops"
  filter, ...).
- Set "lppasswd" SUID root again, otherwise it does not work.
- Removed support for Mandrakelinux 7.2.
- Fixed icon stuff.

* Tue Nov 30 2004 Till Kamppeter <till@mandrakesoft.com> 1.1.22-2mdk
- Added Red Hat's DBUS support (Patch 27).

* Tue Nov  9 2004 Till Kamppeter <till@mandrakesoft.com> 1.1.22-1mdk
- Updated to CUPS 1.1.22 final.
- Removed Patch 26, it is already applied upstream.

* Mon Oct 11 2004 Till Kamppeter <till@mandrakesoft.com> 1.1.21-1mdk
- Updated to CUPS 1.1.21 final.
- Removed Patch 24 and Patch 25, they are already applied upstream.
- Improved debug mode, now the RPM built in debug mode has really
  unstripped executables.
- Fix the CUPS daemon dieing on "killall -HUP cupsd" (Patch 26, Thanks to
  Tim Waugh from Red Hat, CUPS STR 865 and 928).

* Fri Oct 08 2004 Vincent Danen <vdanen@mandrakesoft.com> 1.1.21-0.rc1.7mdk
- P25: security fix for CAN-2004-0558

* Mon Sep 20 2004 Frederic Lepied <flepied@mandrakesoft.com> 1.1.21-0.rc1.6mdk
- start cups at level 15 to avoid conflicts with RPC programs like
  ypbind (bug #9951)

* Mon Aug 30 2004 Till Kamppeter <till@mandrakesoft.com> 1.1.21-0.rc1.5mdk
- Added switchable debug mode.
- Moved "Provides: lpddaemon" from "cups" to "cups-common" package as we
  support daemon-less CUPS client mode with printerdrake now.

* Fri Aug 20 2004 Till Kamppeter <till@mandrakesoft.com> 1.1.21-0.rc1.4mdk
- If there is no USB printer connected, let the "usb" backend put out
  /dev/usb/lpX as default device file names and not /dev/usblpX.

* Mon Aug  9 2004 Till Kamppeter <till@mandrakesoft.com> 1.1.21-0.rc1.3mdk
- Set temporary directory and other parameters in /etc/xinetd.d/cups-lpd,
  sp that cups-lpd uses the correct temporary directory and
  permissions/ownerships (Anthill bug 879).

* Thu Aug 05 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.1.21-0.rc1.2mdk
- use -fPIC too on ix86

* Wed Jun  9 2004 Till Kamppeter <till@mandrakesoft.com> 1.1.21-0.rc1.1mdk
- Updated to CUPS 1.1.21rc1.
- Perlified patch 6.

* Fri Jun  4 2004  <lmontel@n2.mandrakesoft.com> 1.1.20-6mdk
- Rebuild

* Tue Mar  2 2004 Till Kamppeter <till@mandrakesoft.com> 1.1.20-5mdk
- Let startup script also automatically load the "usblp" module of
  kernel 2.6.x.

* Tue Feb 24 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.1.20-4mdk
- fix bogus ownership on /usr/share/man/LL

* Fri Feb 20 2004 Till Kamppeter <till@mandrakesoft.com> 1.1.20-3mdk
- Let CUPS get compiled with "-fPIC" also on PPC systems, otherwise the
  CUPS-enabled OpenOffice.org there will not compile (thanks to Christiaan
  Welvaart).

* Sat Feb 14 2004 Till Kamppeter <till@mandrakesoft.com> 1.1.20-2mdk
- Recognize also an "SN:" field in the USB printer ID string as the serial
  number (HP PhotoSmart 7760, bug 6534)

* Mon Dec 15 2003 Till Kamppeter <till@mandrakesoft.com> 1.1.20-1mdk
- Updated to finally released CUPS 1.1.20.
- Adapted patch2 to restructured code of CUPS 1.1.20.

* Wed Sep 17 2003 Till Kamppeter <till@mandrakesoft.com> 1.1.19-10mdk
- Fixed bug 5615 by means of the following two changes:
  o Make the CUPS daemon not sending broadcast packages with the host name
    "localhost". In this case the IP address of the appropriate interface
    is used (patch 22).
  o Do not insert "ServerName" directives in /etc/cups/cupsd.conf any more
    during the startup of CUPS (with the /usr/sbin/correctcupsconfig
    script).

* Thu Aug 14 2003 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.1.19-9mdk
- Remove wrongly inherited deps on all subpackages

* Fri Aug  8 2003 Till Kamppeter <till@mandrakesoft.com> 1.1.19-8mdk
- Added a version number to the "Provides: libcups1" to avoid a conflict
  with libpng3.

* Mon Aug  4 2003 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.1.19-7mdk
- mklibname, fix major in package name

* Sun Jul 27 2003 Till Kamppeter <till@mandrakesoft.com> 1.1.19-6mdk
- Install missing headers (Thanks to Oden Eriksson)

* Thu Jul 10 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 1.1.19-5mdk
- Rebuild

* Thu Jun 26 2003 Till Kamppeter <till@mandrakesoft.com> 1.1.19-4mdk
- Re-introduced SLP support.

* Thu Jun 05 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 1.1.19-3mdk
- Use --disable-slp

* Thu Jun 05 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 1.1.19-2mdk
- Don't link with libslp

* Tue May 27 2003 Till Kamppeter <till@mandrakesoft.com> 1.1.19-1mdk
- Updated to finally released CUPS 1.1.19 (SECURITY FIX: Denial of service 
  attack vulnerability, see http://www.cups.org/str.php?L75 and other bug 
  fixes and updates).
- Moved libcups.so to "-devel" package to avoide dependency of "libcups1"
  on other "-devel" packages.
- Rebuild to get a "-debug" package.

* Tue May 13 2003 Till Kamppeter <till@mandrakesoft.com> 1.1.19-0.9mdk
- Updated to released CUPS 1.1.19rc5.

* Sat May 10 2003 Till Kamppeter <till@mandrakesoft.com> 1.1.19-0.8mdk
- Updated to released CUPS 1.1.19rc4.

* Mon Apr 28 2003 Till Kamppeter <till@mandrakesoft.com> 1.1.19-0.7mdk
- Updated to released CUPS 1.1.19rc3.

* Sun Apr 20 2003 Till Kamppeter <till@mandrakesoft.com> 1.1.19-0.6mdk
- Updated to released CUPS 1.1.19rc2.
 
* Tue Mar 11 2003 Till Kamppeter <till@mandrakesoft.com> 1.1.19-0.5mdk
- Fixed japanese text printing with "cjktexttops": The margins were too
  narrow and too long lines were cut off and not wrapped. No no information 
  of the printed text gets lost any more.

* Mon Mar 10 2003 Till Kamppeter <till@mandrakesoft.com> 1.1.19-0.4mdk
- Add "cjktexttops" filter (derived from Red Hat's filter) for
  printing japanese plain text files with "mpage".

* Thu Mar  6 2003 Till Kamppeter <till@mandrakesoft.com> 1.1.19-0.3mdk
- Let CUPS daemon accept raw files (e. g. already filtered by Windows
  driver).
- Added "pdf" backend.

* Wed Feb 26 2003 Till Kamppeter <till@mandrakesoft.com> 1.1.19-0.2mdk
- Updated to the CVS of Feb. 26, 2003 (Bug fixes).

* Sat Feb 15 2003 Till Kamppeter <till@mandrakesoft.com> 1.1.19-0.1mdk
- Updated to the CVS of Feb. 15, 2003 (Several bug fixes).

* Fri Jan 31 2003 Till Kamppeter <till@mandrakesoft.com> 1.1.18-5mdk
- Removed most operations from "cleanppd.pl". They are taken care of
  by this spec file or by "printerdrake".

* Fri Jan 31 2003 Till Kamppeter <till@mandrakesoft.com> 1.1.18-4mdk
- Removed all data manipulations from "poll_ppd_base", they will be done
  by "printerdrake" now.

* Thu Jan 23 2003 Till Kamppeter <till@mandrakesoft.com> 1.1.18-3mdk
- Removed determination of the printer's serial number in 
  /proc/bus/usb/devices, it was broken.
- Fixed error reporting when gethostbyname fails.

* Wed Jan 15 2003 Till Kamppeter <till@mandrakesoft.com> 1.1.18-2mdk
- Rebuilt for new OpenSSL version.

* Thu Dec 19 2002 Till Kamppeter <till@mandrakesoft.com> 1.1.18-1mdk
- Updated to released CUPS 1.1.18 (Security fixes based on a report from 
  iDEFENSE, new cupstestppd utility for validating PPD files).

* Fri Nov 23 2002 Till Kamppeter <till@mandrakesoft.com> 1.1.17-1mdk
- Updated to released CUPS 1.1.17.
- Removed "cat" subdirectories from man page directory.

* Fri Nov 22 2002 Till Kamppeter <till@mandrakesoft.com> 1.1.17-0.2mdk
- Updated to the CVS of Nov. 22, 2002 (CUPS daemon didn't pass command
  line options of "lpr" to the filters).

* Thu Nov 21 2002 Till Kamppeter <till@mandrakesoft.com> 1.1.17-0.1mdk
- Updated to the CVS of Nov. 21, 2002 (Fixes printer configuration via web 
  interface, has Mac OS character sets to print jobs from Mac OS X clients 
  correctly, fixed possible crash of CUPS daemon when it gets a job from
  CUPS' Windows client PostScript driver).
- Moved "/usr/bin/cups-config" from the "cups-common" to the
  "libcups1-devel" package.

* Wed Oct 30 2002 Till Kamppeter <till@mandrakesoft.com> 1.1.16-3mdk
- Updated to the CVS of Oct. 30, 2002 (Web server fixes).

* Wed Oct 30 2002 Till Kamppeter <till@mandrakesoft.com> 1.1.16-2mdk
- Updated to the CVS of Oct. 28, 2002 (Fixes the problem of queues
  generated with "lpadmin" ignoring the PPD file and printing raw
  PostScript code until the CUPS daemon is restarted.
- Replaced Patch 15 (libdir for 64-bit architecture) by code manipulation
  directly in the spec file.

* Wed Oct 17 2002 Till Kamppeter <till@mandrakesoft.com> 1.1.16-1mdk
- Updated to the CVS of Oct. 17, 2002 (Fixes web interface problem,
  landscape bug, and several others. ommited CUPS 1.1.16 final due
  to persisting web interface bug).
- Let "service cups reload" only send a SIGHUP to the CUPS daemon instead
  of killing and restarting it.

* Tue Sep 10 2002 Till Kamppeter <till@mandrakesoft.com> 1.1.16-0.4mdk
- Downdated to the CVS of Aug. 16, 2002 (In the CVS from Aug. 31 it is not
  possible to add print queues with the web interface due to changes in
  the PAM infrastructure of CUPS).

* Sat Aug 31 2002 Till Kamppeter <till@mandrakesoft.com> 1.1.16-0.3mdk
- Fixed "/usr/sbin/correctcupsconfig" script so that it generates a
  correct "/etc/cups/cupsd.conf" when this file is missing.

* Fri Aug 16 2002 Till Kamppeter <till@mandrakesoft.com> 1.1.16-0.2mdk
- Updated to the CVS of Aug. 16, 2002 (Option conflicts fix in web
  interface).
- Fixed startup script so that the "gprintf"ication works again. 

* Wed Aug 14 2002 Till Kamppeter <till@mandrakesoft.com> 1.1.16-0.1mdk
- Updated to the CVS of Aug. 14, 2002 (release candidate for CUPS 1.1.16).
- Changed cups-lpd configuration so that the CUPS server filters the
  incoming LPD jobs, so the LPD client does not need a driver.

* Fri Aug  9 2002 Till Kamppeter <till@mandrakesoft.com> 1.1.15-9mdk
- Fix bug of some applications (as a2ps) do not print correctly in Landscape
  orientation.

* Sun Aug 04 2002 Stefan van der Eijk <stefan@eijk.nu> 1.1.15-8mdk
- BuildRequires

* Fri Jul 26 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.1.15-7mdk
- Automated rebuild with gcc3.2

* Mon Jul 22 2002 Till Kamppeter <till@mandrakesoft.com> 1.1.15-6mdk
- Let the starter process of cupsd only exit when cupsd is ready to listen
  for requests.

* Wed Jul 10 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.1.15-5mdk
- Menu dir is %%_menudir
- rpmlint fixes: strange-permission, configure-without-libdir-spec,
  hardcoded-library-path

* Fri Jun 28 2002 Till Kamppeter <till@mandrakesoft.com> 1.1.15-4mdk
- If /usr/sbin/correctcupsconfig inserts the "Printcap" line in
  /etc/cups/cupsd.conf when one installs LPRng/LPD, it also removes
  the old CUPS-generated /etc/printcap. This old /etc/printcap causes
  ugly warnings in LPRng.

* Wed Jun 19 2002 Till Kamppeter <till@mandrakesoft.com> 1.1.15-3mdk
- Apply the patch for /etc/cups/cupsd.conf.

* Wed Jun 19 2002 Till Kamppeter <till@mandrakesoft.com> 1.1.15-2mdk
- Replaced automatic CUPS configuration by usage of the new CUPS
  placeholder "@LOCAL" for all local, non-PPP networks.
- Instead of the autoconfig script "setcupsconfig" now a script only
  doing slight corrections in some case "correctcupsconfig" is called
  at every CUPS startup. Now no change is done on /etc/cups/cupsd.conf
  when there is no warning.

* Tue Jun 18 2002 Till Kamppeter <till@mandrakesoft.com> 1.1.15-1mdk
- Updated to version 1.1.15.
- Removed "ptal" backend, this is now provided by HPOJ.
- Added "pap" backend, to access printers via AppleTalk.
- Added "photo_print", a script to print series of photos, several photos
  per sheet.

* Thu Apr 18 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.1.14-4mdk
- remove system wide directories ownership

* Tue Mar 26 2002 Till Kamppeter <till@mandrakesoft.com> 1.1.14-3mdk
- Auto-config program /usr/sbin/setcupsconfig supports having two or
  more network cards with the same IP address.

* Sat Feb 16 2002 Stefan van der Eijk <stefan@eijk.nu> 1.1.14-2mdk
- BuildRequires

* Wed Feb 13 2002 Till Kamppeter <till@mandrakesoft.com> 1.1.14-1mdk
- Updated to version 1.1.14 (Release because of the IPP security bugfix).

* Wed Feb 13 2002 Till Kamppeter <till@mandrakesoft.com> 1.1.13-5mdk
- Security fix for the IPP backend was not complete. Applied new,
  complete patch.
- Made a symbolic link to the test page in "printer-testpages", so only
  one test page has to be maintained and kept on the distro CDs.

* Sun Feb 10 2002 Till Kamppeter <till@mandrakesoft.com> 1.1.13-4mdk
- Security fix: Fixed potential buffer overflow bug when the IPP backend
  reads the names of attributes.
- Added "lpddaemon" to the "Provides" of CUPS, to satisfy FHS/LSB tests.
- Moved "Obsoletes: cups-devel" and "Provides: cups-devel" from "cups"
  to "libcups1-devel".

* Mon Feb  4 2002 Till Kamppeter <till@mandrakesoft.com> 1.1.13-3mdk
- Added backend filter for nprint (Novell client) from Mark Horn 
  (mark@hornclan.com),
- Updated HPOJ/ptal backend filter to the version of 18/01/2002.
- Added check for "ptal:/..." URIs when the startup script checks
  the /etc/cups/printers.conf whether HPOJ needs to be started.

* Sat Feb  2 2002 Till Kamppeter <till@mandrakesoft.com> 1.1.13-2mdk
- Added backend filter for HPOJ from Mark Horn (mark@hornclan.com),

* Fri Feb  1 2002 Till Kamppeter <till@mandrakesoft.com> 1.1.13-1mdk
- Updated to version 1.1.13.

* Sat Jan 19 2002 Till Kamppeter <till@mandrakesoft.com> 1.1.12-3mdk
- Let "setcupsconfig" use "Listen" directives instead of "Port" directives
  in /etc/cups/cupsd.conf to restrict CUPS listening only to local networks.
  This was suggested by David Walser (luigiwalser at yahoo dot com).

* Sat Jan 12 2002 Till Kamppeter <till@mandrakesoft.com> 1.1.12-2mdk
- Used "route -n" instead of "route" in startup script, the simple
  "route" does often not show the loopback device correctly.

* Mon Dec 17 2001 Till Kamppeter <till@mandrakesoft.com> 1.1.12-1mdk
- Updated to version 1.1.12.

* Mon Dec 17 2001 Till Kamppeter <till@mandrakesoft.com> 1.1.10-14mdk
- Suppressed automatic replacement of "echo" by "gprintf" in the startup
  script, the automatic replacement is broken.

* Tue Dec  4 2001 Till Kamppeter <till@mandrakesoft.com> 1.1.10-13mdk
- Modified startup script to do not do any changes on /etc/hosts any more.

* Wed Oct 12 2001 Till Kamppeter <till@mandrakesoft.com> 1.1.10-12mdk
- Fixed auto-correction of /etc/hosts. Nicknames for localhost are conserved
  now.

* Wed Oct 10 2001 Till Kamppeter <till@mandrakesoft.com> 1.1.10-11mdk
- Corrected text on the test page.

* Wed Oct 10 2001 Till Kamppeter <till@mandrakesoft.com> 1.1.10-10mdk
- Inserted new Mandrake logo into the test page.
- Rebuilt for libpng3.

* Wed Sep 19 2001 Till Kamppeter <till@mandrakesoft.com> 1.1.10-9mdk
- Separated out the serial port backend of CUPS into an extra package, it
  was the reason for the CUPS daemon needing several seconds to start.

* Wed Sep 19 2001 Till Kamppeter <till@mandrakesoft.com> 1.1.10-8mdk
- Fixed setcupsconfig so that CUPS also starts on systems without
  /etc/sysconfig/network-scripts/draknet_conf.

* Sat Sep 15 2001 Till Kamppeter <till@mandrakesoft.com> 1.1.10-7mdk
- fixed link from lp.1 to cancel.1 to work in the update-alternatives
  structure so that "man cancel" shows the correct man page.

* Sat Sep 15 2001 Till Kamppeter <till@mandrakesoft.com> 1.1.10-6mdk
- Automatic CUPS configuration defines the directory for temporary
  files now, so environment variable settings cannot break things
  (Bug 4568)

* Fri Sep 14 2001 Till Kamppeter <till@mandrakesoft.com> 1.1.10-5mdk
- Made automatic CUPS configuration also working on non-english
  systems.
- CUPS requires net-tools.

* Fri Sep 14 2001 Till Kamppeter <till@mandrakesoft.com> 1.1.10-4mdk
- Check /etc/hosts on startup so assure that it has a correct
  "localhost" line.
- Do not change hostname to "localhost" if there is no local network.

* Sat Sep  1 2001 Till Kamppeter <till@mandrakesoft.com> 1.1.10-3mdk
- Turn off the cups-lpd mini daemon when LPD/LPRng is running (in the
  startup script).

* Sat Sep  1 2001 Till Kamppeter <till@mandrakesoft.com> 1.1.10-2mdk
- Expanded auto-configuration script for more different network
  configurations, especially ADSL and cable modem through an ethernet
  card.
- Added checks for system environment to the CUPS startup script,
  missing kernel modules and a missing loopback device are started
  automatically now.

* Tue Aug 21 2001 Till Kamppeter <till@mandrakesoft.com> 1.1.10-1mdk
- Updated to CUPS 1.1.10 (several bugfixes) 

* Wed Aug 15 2001 Till Kamppeter <till@mandrakesoft.com> 1.1.9-6mdk
- Raised limit of values per attribute of an IPP request from 100 to 500
  (Broke Epson Stylus Photo 1290 with the GIMP-Print GhostScript driver)

* Sat Jul 28 2001 Till Kamppeter <till@mandrakesoft.com> 1.1.9-5mdk
- lphelp takes PPD files from standard input now

* Mon Jul 23 2001 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.1.9-4mdk
- Don't BuildRequires: egcs when it's not needed (as for 1.1.6-12mdk)

* Sat Jul 21 2001 Till Kamppeter <till@mandrakesoft.com> 1.1.9-3mdk
- Updated to CUPS 1.1.9-1 (several bugfixes)

* Wed Jul 18 2001 Till Kamppeter <till@mandrakesoft.com> 1.1.9-2mdk
- Extended the update-alternatives stuff so that CUPS can also co-exist
  with LPRng

* Tue Jul 10 2001 Till Kamppeter <till@mandrakesoft.com> 1.1.9-1mdk
- Updated to CUPS 1.1.9 (several bugfixes)

* Fri Jun  8 2001 Till Kamppeter <till@mandrakesoft.com> 1.1.8-1mdk
- Updated to CUPS 1.1.8 (several bugfixes)

* Fri May  4 2001 Till Kamppeter <till@mandrakesoft.com> 1.1.7-1mdk
- SECURITY FIXES: Updated to CUPS 1.1.7

* Thu May  3 2001 Till Kamppeter <till@mandrakesoft.com> 1.1.6-22mdk
- Downdated pstops filter to the version of CUPS 1.1.6-3 due to problems 
  with multiple page documents

* Thu Apr 12 2001 Till Kamppeter <till@mandrakesoft.com> 1.1.6-21mdk
- Cleaned up output of "poll_ppd_base" to give a nicer and more user-
  friendly printer list in "printerdrake".

* Fri Apr  6 2001 Till Kamppeter <till@mandrakesoft.com> 1.1.6-20mdk
- Additional fixes in "poll_ppd_base": Manufacturer names are made
  all-uppercase and "-" in the beginning of a model name is removed.

* Fri Apr  6 2001 Till Kamppeter <till@mandrakesoft.com> 1.1.6-19mdk
- Removed the manufacturer's names from the model field in the output
  of "poll_ppd_base", they were sometimes written all-uppercase and 
  sometimes not and this messed up the printer listing in "printerdrake".

* Sat Mar 31 2001 Till Kamppeter <till@mandrakesoft.com> 1.1.6-18mdk
- Use new macros for server packages only when building for Linux Mandrake 
  8.x to not blow up a build for 7.x.

* Sat Mar 31 2001 Till Kamppeter <till@mandrakesoft.com> 1.1.6-17mdk
- Updated CUPS from CVS (Lots of bugfixes).
- Cleaned up PostScript code of the test page.

* Thu Mar 29 2001 Till Kamppeter <till@mandrakesoft.com> 1.1.6-16mdk
- Used new macros for server packages ("-fno-omit-frame-pointer" and
  upgrade fixes).
- Inserted missing "#include" directives in the code of "pstoraster". They
  are needed by gcc 2.96.

* Sat Mar 17 2001 David BAUDENS <baudens@mandrakesoft.com> 1.1.6-15mdk
- Don't BuildRequires: egcs on PPC

* Thu Mar 15 2001 Francis Galiegue <fg@mandrakesoft.com> 1.1.6-14mdk
- Add -fPIC to CFLAGS for ia64

* Sun Mar 11 2001 Till Kamppeter <till@mandrakesoft.com> 1.1.6-13mdk
- In case of building a package for Mandrake 7.2, the "cups" package
  provides "cups-common" and "libcups1" now, the "cups-devel" package 
  provides "libcups1-devel".

* Thu Mar  8 2001 Till Kamppeter <till@mandrakesoft.com> 1.1.6-12mdk
- Fixed a bug in swapping out parts of big images (lead to images sometimes
  not printed or printed totally in black). 

* Mon Mar  5 2001 Till Kamppeter <till@mandrakesoft.com> 1.1.6-11mdk
- Modified "lphelp" so that it is able to read out the numerical options
  of the new XML-Foomatic which will appear in the near future

* Thu Feb 22 2001 Till Kamppeter <till@mandrakesoft.com> 1.1.6-10mdk
- Fixed bug of cgi-bin directory going into /etc/cups instead of into
  /usr/lib/cups

* Wed Feb 21 2001 Till Kamppeter <till@mandrakesoft.com> 1.1.6-9mdk
- SECURITY FIX: Source release 1.1.6-3 (Many security fixes done by SuSE).

* Fri Feb 16 2001 Till Kamppeter <till@mandrakesoft.com> 1.1.6-8mdk
- Removed "cups-common" package for Mandrake-7.2 builds to make package
  structure exactly as in Mandrake 7.2.

* Thu Feb 15 2001 Till Kamppeter <till@mandrakesoft.com> 1.1.6-7mdk
- Fixed bug in creation of temporary files, now test page printing, printer 
  configuration and printer creation with KUPS should work again.

* Wed Feb 14 2001 Till Kamppeter <till@mandrakesoft.com> 1.1.6-6mdk
- Fixed bug which prevented CUPS from connecting to Windows 2000 servers.

* Thu Feb  8 2001 Till Kamppeter <till@mandrakesoft.com> 1.1.6-5mdk
- SECURITY FIX: Source release 1.1.6-2 used (replacement of lppasswd by new,
  more secure version, many other security fixes, most contributed by SuSE).

* Tue Feb  7 2001 Till Kamppeter <till@mandrakesoft.com> 1.1.6-4mdk
- SECURITY FIX: SUID bit from "lppasswd" removed, program has several
  security problems.
- Patch on /etc/cups/mime.types for better recognizing of files with
  PJL commands inside.

* Tue Feb  6 2001 Till Kamppeter <till@mandrakesoft.com> 1.1.6-3mdk
- SECURITY FIX: Changed automatic configuration script so that CUPS
  only accepts broadcasted printer information which comes from the local
  network. Broadcast signals out of the internet are ignored (security
  recommendation of Michael Sweet, author of CUPS).

* Sat Feb  3 2001 Giuseppe Ghibò <ghibo@mandrakesoft.com> 1.1.6-3mdk
- backported for 7.2, with conditional macro for building (use 
  %define buildfor72 0 for cooker).
- more macros.
- added xinetd entry cups-lpd.

* Thu Feb  1 2001 Vincent Danen <vdanen@mandrakesoft.com> 1.1.6-2.1mdk
- security update for 7.2 (buffer overflows)

* Tue Jan 30 2001 Till Kamppeter <till@mandrakesoft.com> 1.1.6-2mdk
- Replaced the job title "(stdin)" by "STDIM" when one prints out of 
  standard input with "lp" or "lpr". This caused problems when printing
  to a printer on a Windows server via Samba.

* Fri Jan 26 2001 Till Kamppeter <till@mandrakesoft.com> 1.1.6-1mdk
- Updated to CUPS 1.1.6.

* Mon Jan  8 2001 Till Kamppeter <till@mandrakesoft.com> 1.1.5-3mdk
- Fixed buffer overflow problem of CUPS' WWW server (QA Bug 687).

* Thu Jan  4 2001 Till Kamppeter <till@mandrakesoft.com> 1.1.5-2mdk

- Bugfix release of CUPS 1.1.5.
- Enhancements in the documentation for setting up encrypted connections.
- Reactivate usage of implicit classes by default.
- Fixed segfault of "lppasswd -a name".

* Wed Jan  3 2001 Till Kamppeter <till@mandrakesoft.com> 1.1.5-1mdk

- Updated to CUPS 1.1.5 (encryption support enabled).
- Added README files of the source tarball to the doc directory.

* Tue Dec 19 2000 Till Kamppeter <till@mandrakesoft.com> 1.1.4-9mdk
- Rearranged package to seperate libraries, client, server, and so on.
- Fixed several bugs in CUPS-LPD mini-daemon.
- Fixed authorization bug of lpmove.

* Mon Nov 27 2000 Till Kamppeter <till@mandrakesoft.com> 1.1.4-8mdk
- Fixed RPM problem of /etc/cups/cupsd.conf.rpmnew sometimes not created.

* Thu Nov 23 2000 Till Kamppeter <till@mandrakesoft.com> 1.1.4-7mdk
- Fixed bug of jobs sent to implicit classes not printing.

* Sat Nov 18 2000 Till Kamppeter <till@mandrakesoft.com> 1.1.4-6mdk
- Fixed bug in the autodetection of the printer devices.

* Wed Nov 15 2000 Till Kamppeter <till@mandrakesoft.com> 1.1.4-5mdk
- Security fix: Automatic configuration of broadcasting and printer access 
  restricted to the local network(s) (eth?), printers were accessible from
  all over the internet before, and broadcasting to all networks
  (255.255.255.255) kept dial-on-demand connections permanently up.

* Tue Nov 14 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.1.4-4mdk
- Fix gcc2.96 compilation.

* Sat Oct 21 2000 Till Kamppeter <till@mandrakesoft.com> 1.1.4-3mdk
- Security fix: lpstat and web interface displayed the SMB password before

* Tue Oct 17 2000 Till Kamppeter <till@mandrakesoft.com> 1.1.4-2mdk
- Set default Filterlimit to 999999 in /etc/cups/cupsd.conf, the default
  value zero limited to one process instead of allowing unlimited processes.
- Fixed a bug in scaling of HPGL files.

* Sat Oct 14 2000 Till Kamppeter <till@mandrakesoft.com> 1.1.4-1mdk
- New release with all previous bugfixes included and important fixes for
  the GIMP-Print drivers.

* Mon Oct  2 2000 Till Kamppeter <till@mandrakesoft.com> 1.1.3-13mdk
- Applied patch by Michael Sweet for the test file bug in the IPP backend.

* Sun Oct  1 2000 Till Kamppeter <till@mandrakesoft.com> 1.1.3-12mdk
- Fixed a bug of the IPP backend which prevented text with accented characters
  being transferred correctly to the printing server.

* Sun Oct  1 2000 Till Kamppeter <till@mandrakesoft.com> 1.1.3-11mdk
- Cleaned up manufacturer entry in the CUPS PPD files
- Fixed a bug in handling lines with leading spaces in ~/.lpoptions

* Thu Sep 28 2000 Till Kamppeter <till@mandrakesoft.com> 1.1.3-10mdk
- Menu call for the web interface not fixed to Netscape any more.

* Thu Sep 28 2000 Till Kamppeter <till@mandrakesoft.com> 1.1.3-9mdk
- New bugfix patch of Michael Sweet for admin.cgi

* Wed Sep 27 2000 Till Kamppeter <till@mandrakesoft.com> 1.1.3-8mdk
- Fixed bug in admin.cgi by a patch of Michael Sweet, no downdate to 1.1.2
  any more
- Fixed bug with duplex printing in HP LaserJet driver

* Tue Sep 26 2000 Till Kamppeter <till@mandrakesoft.com> 1.1.3-7mdk
- Fixed bug in IPP backend which prevented options from
  being transferred correctly to a remote printer

* Tue Sep 26 2000 Till Kamppeter <till@mandrakesoft.com> 1.1.3-6mdk
- Applied new PAM configuration

* Mon Sep 25 2000 Till Kamppeter <till@mandrakesoft.com> 1.1.3-5mdk
- Program "lphelp" expanded to show also numerical options of CUPS-O-MATIC
  PPD files.

* Sat Sep 23 2000 Till Kamppeter <till@mandrakesoft.com> 1.1.3-4mdk
- Mandrakized the test page
- Login/password request for command line tools

* Fri Sep 22 2000 Till Kamppeter <till@mandrakesoft.com> 1.1.3-3mdk
- Revised support of accounts without password. Now XPP, KUPS and QTCUPS
  do not ask for the login/password again and again when one clicks
  "Cancel" in the login dialog.

* Wed Sep 20 2000 Till Kamppeter <till@mandrakesoft.com> 1.1.3-2mdk
- Fixed bug of adding a printer with the web interface being impossible
- Make CUPS WWW interface and KUPS usable when root has no 
  password

* Tue Sep 19 2000 Till Kamppeter <till@mandrakesoft.com> 1.1.3-1mdk
- Corrected "preun" script, so that update-alternatives links do not
  get lost on update of the package.
- Updated to CUPS 1.1.3 which includes all the previous bug fix
  patches and some additional bugfixes.

* Sat Sep 16 2000 Till Kamppeter <till@mandrakesoft.com> 1.1.2-22mdk
- changed default configuration to generate an /etc/printcap
  file. So non-natively CUPS supporting programs (as KDE)
  find the printers.

* Thu Sep 14 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.1.2-21mdk
- corrected incoherent-subsys, till sucks
- added reload

* Wed Sep 13 2000 Till Kamppeter <till@mandrakesoft.com> 1.1.2-20mdk
- Replaced startup script completely to fit to the Mandrake
  standard
- Applied another development snapshot patch of Michael Sweet to fix
  bugs in pstoimage and pstoraster, and the information propafation
  between the CUPS daemons on different machines.

* Sat Sep  9 2000 Till Kamppeter <till@mandrakesoft.com> 1.1.2-19mdk
- Applied another development snapshot patch of Michael Sweet to fix
  several bugs.

* Fri Sep  8 2000 Till Kamppeter <till@mandrakesoft.com> 1.1.2-18mdk
- {_datadir}/locale was forgotten in files section, added

* Fri Sep  8 2000 Till Kamppeter <till@mandrakesoft.com> 1.1.2-17mdk
- Added /usr/sbin/update-alternatives to "Requires:" line
  to surround a bug of version number comparing in RPM

* Thu Sep  7 2000 Till Kamppeter <till@mandrakesoft.com> 1.1.2-16mdk
- Turned off feature of "Implicit classes", it is broken.
- Introduced "Requires:" line to make sure that "update-
  alternatives" is available.
- Added patch of Michael Sweet to support instances in lpq
  and lprm.

* Thu Sep  7 2000 Till Kamppeter <till@mandrakesoft.com> 1.1.2-15mdk
- Applied development snapshot patch of Michael Sweet to fix
  several bugs.
- Added automatic daemon restart on update.

* Wed Sep  5 2000 Till Kamppeter <till@mandrakesoft.com> 1.1.2-14mdk
- Fixed segfaults in poll_ppd_base
- Better description in cups.sh (help text for startup 
  services config programs)

* Fri Sep  1 2000 Till Kamppeter <till@mandrakesoft.com> 1.1.2-13mdk
- Fixed bugs in the "files" list of specfile (definition of doc dir)

* Tue Aug 29 2000 Till Kamppeter <tkamppeter@mandrakesoft.com> 1.1.2-12mdk
- Added patch adjusting the USB printer autodetection to the current state

* Fri Aug 25 2000 Till Kamppeter <tkamppeter@mandrakesoft.com> 1.1.2-11mdk
- Menu entry for CUPS WWW Admin tool added
- Removed compatibility link /etc/init.d/cups to /etc/rc.d/init.d/cups, init
  script simply in %{_initrddir} now.

* Fri Aug 25 2000 Till Kamppeter <tkamppeter@mandrakesoft.com> 1.1.2-10mdk
- Fixed compiler options for the additional tools

* Thu Aug 24 2000 Till Kamppeter <tkamppeter@mandrakesoft.com> 1.1.2-9mdk
- Made the cups package ready for co-existing with the old lpr printing
  system.

* Mon Aug 21 2000 Till Kamppeter <tkamppeter@mandrakesoft.com> 1.1.2-8mdk
- Moved "/usr/lib/libcups*.so" links from devel package to main package
  because the function overloading in XPP and QTCUPS would not work without
  these links.

* Thu Aug 17 2000 Till Kamppeter <tkamppeter@mandrakesoft.com> 1.1.2-7mdk
- Added program "lphelp" which lists the printer-specific options defined
  in the PPD file, so that one can make use of it in "lp", "lpr", and
  "lpoptions" commands at the command line.
- Got a bugfix from Michael Sweet to fix an htmltops problem, applied it
- Applied bugfix for HPGL recognition in /etc/cups/mime.types

* Thu Aug 17 2000 Till Kamppeter <tkamppeter@mandrakesoft.com> 1.1.2-6mdk
- Added program "poll_ppd_base" to get a list of all PPD files installed with
  manufacturer and model names of the printers (useful for installation/
  configuration scripts)

* Mon Aug 14 2000 Till Kamppeter <tkamppeter@mandrakesoft.com> 1.1.2-5mdk
- Added link libcupsimage.so --> libcupsimage.so.2 so thet drivers based
  on the CUPS driver development kit of GIMP Print compile
- Moved links "*.so" --> "*.so.2" to the development package (rpmlint
  recommends this)

* Wed Aug  9 2000 Till Kamppeter <tkamppeter@mandrakesoft.com> 1.1.2-4mdk
- Replaced "chown" in "%post" by "%attr" in file list
- Now GhostScript 5.50 is not more required by this package but by cups-drivers
- Compatibility link /etc/rc.d/init.d/cups, if /etc/rc.d/init.d/ exists

* Tue Aug  8 2000 Till Kamppeter <tkamppeter@mandrakesoft.com> 1.1.2-3mdk
- Let the PPDs delivered with CUPS be installed, too

* Tue Aug  8 2000 Till Kamppeter <tkamppeter@mandrakesoft.com> 1.1.2-2mdk
- Moved init script to from /etc/rc.d/init.d/ to /etc/init.d
- Now GhostScript 5.50 is required
- Patched chkconfig entry in /etc/init.d/cups to 2345 60 60 (as lpd)

* Tue Aug  8 2000 Till Kamppeter <tkamppeter@mandrakesoft.com> 1.1.2-1mdk
- Excluded static CUPS library to allow overloading of CUPS functions
- Patched CUPS daemon config to use Web interface for administration
- pstoraster not removed to have the flexibility to also use CUPS drivers
- Updated to version 1.1.2 with bugfix patch for the Makefile

* Tue Jul  4 2000 François Pons <fpons@mandrakesoft.com> 1.1-0.b5.1mdk
- removed pstoraster from installation as drivers are in cups-drivers.
- initial release.
